%global __libtoolize :

Summary: GNU libraries and utilities for producing multi-lingual messages.
Name: gettext

%global momorel 3

Version: 0.12.1
Release: %{momorel}m
License: GPL
Group: Development/Tools
URL: http://www.gnu.org/directory/gettext.html

%NoSource 0 ftp://ftp.gnu.org/pub/gnu/gettext/gettext-%{version}.tar.gz 5d4bddd300072315e668247e5b7d5bdb
Source1: po-mode-init.el
Source2: msghack.py

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires(build): autoconf >= 2.58-2m
BuildRequires(build):automake >= 1.5-21m

Requires(post,preun): info

%description
The GNU gettext package provides a set of tools and documentation for
producing multi-lingual messages in programs.  Tools include a set of
conventions about how programs should be written to support message
catalogs, a directory and file naming organization for the message
catalogs, a runtime library which supports the retrieval of translated
messages, and stand-alone programs for handling the translatable and
the already translated strings.  Gettext provides an easy to use
library and tools for creating, using, and modifying natural language
catalogs and is a powerful and simple method for internationalizing
programs.

If you would like to internationalize or incorporate multi-lingual
messages into programs that you're developing, you should install
gettext.

%prep
%setup -q

%build
[ -f  /usr/share/automake/depcomp ] && cp -f /usr/share/automake/{depcomp,ylwrap} . || :
%configure --with-included-gettext --disable-shared --with-pic-=yes
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

# Fix busted no-emacs install for $lispdir/po-mode.el
%makeinstall lispdir=%{buildroot}/usr/share/emacs/site-lisp \
    aclocaldir=%{buildroot}/usr/share/aclocal
    
mkdir -p %{buildroot}/bin
mv %{buildroot}/%{_bindir}/gettext %{buildroot}/bin
ln -s ../../bin/gettext %{buildroot}/%{_bindir}/gettext
install -m 755 %SOURCE2 %{buildroot}/%{_bindir}/msghack

pushd %{buildroot}
rm -f .%{_infodir}/dir .%{_includedir}/libintl.h
popd

pushd %{buildroot}/%{_datadir}/locale
for foo in `find . -maxdepth 1 -mindepth 1 -type d` ; do
  lang=`echo $foo | cut -c 3-`
  echo "%lang($lang) %{_datadir}/locale/$foo/*/*" >> \
    $RPM_BUILD_DIR/%{name}-%{version}/trans.list
done
popd

mkdir -p %{buildroot}/usr/share/emacs/site-lisp/site-start.d
install -m 644 %{SOURCE1} %{buildroot}/usr/share/emacs/site-lisp/site-start.d

# remove unpackaged files from the buildroot
rm -rf %{buildroot}/usr/doc
rm -rf %{buildroot}%{_datadir}/emacs
rm -f %{buildroot}%{_datadir}/locale/locale.alias
rm -f %{buildroot}%{_includedir}/autosprintf.h
rm -f %{buildroot}%{_includedir}/gettext-po.h

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/gettext.info.* %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/gettext.info.* %{_infodir}/dir
fi
exit 0

%files -f trans.list
%defattr(-,root,root)
%doc gettext-runtime/ABOUT-NLS AUTHORS gettext-runtime/BUGS 
%doc COPYING gettext-tools/misc/DISCLAIM README
%doc NEWS THANKS gettext-tools/TODO 
/bin/*
/usr/bin/*
/usr/share/doc/*
%{_libdir}/gettext
%{_infodir}/*
%{_mandir}/*/*
#%config %{_libdir}/charset.alias
%{_datadir}/gettext
%{_datadir}/aclocal/*
%{_libdir}/libgettextlib.*
%{_libdir}/libgettextsrc.*
%{_libdir}/libgettextpo.*
%{_libdir}/libasprintf.*
%{_libdir}/libintl.*

# These aren't in glibc...
%dir /usr/share/locale/en@boldquot
%dir /usr/share/locale/en@boldquot/LC_MESSAGES
%dir /usr/share/locale/en@quot
%dir /usr/share/locale/en@quot/LC_MESSAGES

%changelog
* Mon Apr  5 2004 Toru Hoshina <t@momonga-linux.org>
- (0.12.1-3m)
- too much removed. sumaso.

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (0.12.1-2m)
- revised spec for enabling rpm 4.2.

* Wed Nov 05 2003 Kenta MURATA <muraken2@nifty.com>
- (0.12.1-1m)
- version up.

* Mon Apr 28 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.11.5-1m)
- update to 0.11.5
- import patch from rawhide(gettext-0.11.4-7)
   Patch11: gettext-0.11.4-gettextize.patch
- disable patch4
- remove Patch12: gettext-0.10.35-charset.patch which is included in 1.11.5
- remove Patch13: gettext-0.10.40-autoconf253.patch which is included in 1.11.5
- include man files

* Sun Mar  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10.40-15m)
- add URL tag

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.10.40-14m)
- add patch for autoconf-2.53

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.10.40-12k)
- cancel gcc-3.1 autoconf-2.53

* Fri May 24 2002 Toru Hoshina <t@kondara.org>
- (0.10.40-10k)
- autoconf 2.53...

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (0.10.40-8k)
- /sbin/install-info -> info in PreReq.

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (0.10.40-6k)                      
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Wed Jan  9 2002 Shingo Akagaki <dora@kondara.org>
- (0.10.40-4k)
- automake autoconf 1.5

* Tue Oct 16 2001 Motonobu Ichimura <famao@kondara.org>
- (0.10.40-3k)
- up to 0.10.40

* Wed Aug 22 2001 KUSUNOKI Masanori <nori@kondara.org>
- update to 0.10.39
- rebuild against gcc-3.0.1

* Tue May 22 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- gettext-0.10.35.tar.bz2 -> gettext-0.10.35.tar.gz

* Wed Oct 25 2000 Daiki Matsuda <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Fri Aug 04 2000 Akira Higuchi <a@kondara.org>
- msgfmt: output "" entry even if it is fuzzy
- removed iconv patch which is not needed for glibc-2.2

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sat May 20 2000 Akira Higuchi <a@kondara.org>
- apply iconv if needed

* Thu Apr 06 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (0.10.35-17).

* Sun Mar 12 2000 Hidetomo Machi <mcHT@kondara.org>
- add "PreReq: /sbin/install-info"
- add %doc
- po-mode.el is under /usr/doc/gettext-version/

* Sun Feb 27 2000 Cristian Gafton <gafton@redhat.com>
- add --comments to msghack

* Thu Feb 10 2000 Cristian Gafton <gafton@redhat.com>
- fix bug #9240 - gettextize has the right aclocal patch

* Wed Jan 12 2000 Cristian Gafton <gafton@redhat.com>
- add the --diff and --dummy options

* Sat Jan  1 2000 Akira Higuchi <a@kondara.org>
- merged rawhide updates
- removed gettext-0.10.35-message2 patch. added nowrap patch

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Wed Oct 06 1999 Cristian Gafton <gafton@redhat.com>
- add the --missing option to msghack

* Wed Sep 22 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack not to merge in fuzzies in the master catalogs

* Sat Sep 18 1999 Norihito Ohmori <ohmori@flatout.org>
- update ja.po

-* Tue Sep 14 1999 Jun Nishii <jun@flatout.org>
- use message.c.diff-2

* Thu Aug 26 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack to understand --append

* Wed Aug 11 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack to correctly deal with sorting files

* Tue Jun 29 1999 Norihito Ohmori <ohmori@flatout.org>
- added multibyte patch for msgmerge

* Sun Jun 27 1999 Norihito Ohmori <ohmori@flatout.org>
- ja locale support from JaPO Project

* Thu May 06 1999 Cristian Gafton <gafton@redhat.com>
- msghack updates

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Mon Mar 08 1999 Cristian Gafton <gafton@redhat.com>
- added patch for misc hacks to facilitate rpm translations

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to allow to build on ARM

* Wed Sep 30 1998 Jeff Johnson <jbj@redhat.com>
- add Emacs po-mode.el files.

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- include the aclocal support files

* Fri Sep  3 1998 Bill Nottingham <notting@redhat.com>
- remove devel package (functionality is in glibc)

* Tue Sep  1 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.10.35.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- add gettextize.
- create devel package for libintl.a and libgettext.h.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Nov 02 1997 Cristian Gafton <gafton@redhat.com>
- added info handling
- added misc-patch (skip emacs-lisp modofications)

* Sat Nov 01 1997 Erik Troan <ewt@redhat.com>
- removed locale.aliases as we get it from glibc now
- uses a buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Built against glibc
